Bug 975723 - qpid-proton packages (qpid-proton-c*, python-qpid-proton*, rubygem-|perl-qpid_proton*) come with no examples
qpid-proton packages (qpid-proton-c*, python-qpid-proton*, rubygem-|perl-qpid...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qpid-proton (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 04:30 EDT by Frantisek Reznicek
Modified: 2015-11-15 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-proton-0.4-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:56:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA PROTON-364 None None None Never

  None (edit)
Description Frantisek Reznicek 2013-06-19 04:30:12 EDT
Description of problem:

qpid-proton packages (qpid-proton-c*, python-qpid-proton*, rubygem-|perl-qpid_proton*) come with no usage examples.

There should be packages at least some examples illustrating how to use proton libs. At least example sender and receiver for every supported language.


Version-Release number of selected component (if applicable):
rubygem-qpid_proton-doc-0.4-2.2.fc17.noarch
python-qpid-proton-doc-0.4-2.2.fc17.x86_64
qpid-proton-c-devel-0.4-2.2.fc17.x86_64
qpid-proton-c-0.4-2.2.fc17.x86_64
perl-qpid_proton-0.4-1.1.fc17.x86_64
python-qpid-proton-0.4-2.2.fc17.x86_64
rubygem-qpid_proton-0.4-2.2.fc17.x86_64


How reproducible:
100%

Steps to Reproduce:
1. rpm -ql $(rpm -qa | grep proton) | less

Actual results:
No examples packaged.

Expected results:
Examples should be packaged.

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:14:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Update System 2013-07-24 15:50:04 EDT
qpid-proton-0.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-proton-0.4-3.fc19
Comment 3 Fedora Update System 2013-07-24 16:13:54 EDT
qpid-proton-0.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-proton-0.4-3.fc18
Comment 4 Fedora Update System 2013-07-25 20:22:57 EDT
Package qpid-proton-0.4-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-proton-0.4-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13602/qpid-proton-0.4-3.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-07 18:56:11 EDT
qpid-proton-0.4-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-07 19:06:33 EDT
qpid-proton-0.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.